Bug 168340 - nano should be available at all times - should install to /bin.
nano should be available at all times - should install to /bin.
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: nano (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kamil Dudka
BaseOS QE - Apps
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-15 01:32 EDT by Mike MacCana
Modified: 2010-03-03 10:19 EST (History)
1 user (show)

See Also:
Fixed In Version: nano-2.0.9-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-03 10:19:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike MacCana 2005-09-15 01:32:04 EDT
Description of problem:
There was a bit of a push for RHEL 4 to make nano available as an alternative
editor that would be available all the time. IIRC there were changes made to
ensure nano existed in the minimal install, and in rescue mode.

However, nano still isn't available before /usr is mounted, so if someone needs
an editor to fix a system from an sulogin shell (say a bad fstab), they need to
know vi.

dwmw2, could nano be reloaded directly beneath /bin?
Comment 1 Mike MacCana 2005-09-15 01:33:06 EDT
reloaded -> relocated.

One letter makes all the difference :^)
Comment 2 Mike MacCana 2005-09-15 01:34:06 EDT
Er, two letters. 


Long day :^)
Comment 3 David Woodhouse 2005-09-15 04:11:49 EDT
        libncursesw.so.5 => /usr/lib/libncursesw.so.5 (0x00988000)
Comment 6 Kamil Dudka 2009-09-18 14:58:29 EDT
Fixed in rawhide and built as nano-2.0.9-2.fc12.
Comment 7 Kamil Dudka 2010-03-03 10:19:22 EST
The bug is fixed in nano-2.0.9-2.el6, closing NEXTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.